Makefile 38 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_userdb/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2009 Thorsten Kukuk <kukuk@thkukuk.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. subdir = modules/pam_userdb
  89. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  90. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  91. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  92. $(top_srcdir)/m4/intlmacosx.m4 \
  93. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  94. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  95. $(top_srcdir)/m4/ld-no-undefined.m4 \
  96. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  97. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  98. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  99. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  100. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  101. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  102. $(top_srcdir)/m4/progtest.m4 \
  103. $(top_srcdir)/m4/warn_lang_flags.m4 \
  104. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  105. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  106. $(ACLOCAL_M4)
  107. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  108. $(am__dist_noinst_DATA_DIST) $(noinst_HEADERS) \
  109. $(am__DIST_COMMON)
  110. mkinstalldirs = $(install_sh) -d
  111. CONFIG_HEADER = $(top_builddir)/config.h
  112. CONFIG_CLEAN_FILES =
  113. CONFIG_CLEAN_VPATH_FILES =
  114. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  115. am__vpath_adj = case $$p in \
  116. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  117. *) f=$$p;; \
  118. esac;
  119. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  120. am__install_max = 40
  121. am__nobase_strip_setup = \
  122. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  123. am__nobase_strip = \
  124. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  125. am__nobase_list = $(am__nobase_strip_setup); \
  126. for p in $$list; do echo "$$p $$p"; done | \
  127. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  128. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  129. if (++n[$$2] == $(am__install_max)) \
  130. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  131. END { for (dir in files) print dir, files[dir] }'
  132. am__base_list = \
  133. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  134. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  135. am__uninstall_files_from_dir = { \
  136. test -z "$$files" \
  137. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  138. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  139. $(am__cd) "$$dir" && rm -f $$files; }; \
  140. }
  141. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  142. LTLIBRARIES = $(securelib_LTLIBRARIES)
  143. pam_userdb_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  144. pam_userdb_la_SOURCES = pam_userdb.c
  145. pam_userdb_la_OBJECTS = pam_userdb.lo
  146. AM_V_lt = $(am__v_lt_$(V))
  147. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  148. am__v_lt_0 = --silent
  149. am__v_lt_1 =
  150. AM_V_P = $(am__v_P_$(V))
  151. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  152. am__v_P_0 = false
  153. am__v_P_1 = :
  154. AM_V_GEN = $(am__v_GEN_$(V))
  155. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  156. am__v_GEN_0 = @echo " GEN " $@;
  157. am__v_GEN_1 =
  158. AM_V_at = $(am__v_at_$(V))
  159. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  160. am__v_at_0 = @
  161. am__v_at_1 =
  162. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  163. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  164. am__maybe_remake_depfiles = depfiles
  165. am__depfiles_remade = ./$(DEPDIR)/pam_userdb.Plo
  166. am__mv = mv -f
  167. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  168. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  169. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  170. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  171. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  172. $(AM_CFLAGS) $(CFLAGS)
  173. AM_V_CC = $(am__v_CC_$(V))
  174. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  175. am__v_CC_0 = @echo " CC " $@;
  176. am__v_CC_1 =
  177. CCLD = $(CC)
  178. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  179. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  180. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  181. AM_V_CCLD = $(am__v_CCLD_$(V))
  182. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  183. am__v_CCLD_0 = @echo " CCLD " $@;
  184. am__v_CCLD_1 =
  185. SOURCES = pam_userdb.c
  186. DIST_SOURCES = pam_userdb.c
  187. am__can_run_installinfo = \
  188. case $$AM_UPDATE_INFO_DIR in \
  189. n|no|NO) false;; \
  190. *) (install-info --version) >/dev/null 2>&1;; \
  191. esac
  192. man8dir = $(mandir)/man8
  193. NROFF = nroff
  194. MANS = $(dist_man_MANS)
  195. am__dist_noinst_DATA_DIST = README
  196. DATA = $(dist_noinst_DATA)
  197. HEADERS = $(noinst_HEADERS)
  198. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  199. # Read a list of newline-separated strings from the standard input,
  200. # and print each of them once, without duplicates. Input order is
  201. # *not* preserved.
  202. am__uniquify_input = $(AWK) '\
  203. BEGIN { nonempty = 0; } \
  204. { items[$$0] = 1; nonempty = 1; } \
  205. END { if (nonempty) { for (i in items) print i; }; } \
  206. '
  207. # Make sure the list of sources is unique. This is necessary because,
  208. # e.g., the same source file might be shared among _SOURCES variables
  209. # for different programs/libraries.
  210. am__define_uniq_tagged_files = \
  211. list='$(am__tagged_files)'; \
  212. unique=`for i in $$list; do \
  213. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  214. done | $(am__uniquify_input)`
  215. ETAGS = etags
  216. CTAGS = ctags
  217. am__tty_colors_dummy = \
  218. mgn= red= grn= lgn= blu= brg= std=; \
  219. am__color_tests=no
  220. am__tty_colors = { \
  221. $(am__tty_colors_dummy); \
  222. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  223. am__color_tests=no; \
  224. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  225. am__color_tests=yes; \
  226. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  227. am__color_tests=yes; \
  228. fi; \
  229. if test $$am__color_tests = yes; then \
  230. red=''; \
  231. grn=''; \
  232. lgn=''; \
  233. blu=''; \
  234. mgn=''; \
  235. brg=''; \
  236. std=''; \
  237. fi; \
  238. }
  239. am__recheck_rx = ^[ ]*:recheck:[ ]*
  240. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  241. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  242. # A command that, given a newline-separated list of test names on the
  243. # standard input, print the name of the tests that are to be re-run
  244. # upon "make recheck".
  245. am__list_recheck_tests = $(AWK) '{ \
  246. recheck = 1; \
  247. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  248. { \
  249. if (rc < 0) \
  250. { \
  251. if ((getline line2 < ($$0 ".log")) < 0) \
  252. recheck = 0; \
  253. break; \
  254. } \
  255. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  256. { \
  257. recheck = 0; \
  258. break; \
  259. } \
  260. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  261. { \
  262. break; \
  263. } \
  264. }; \
  265. if (recheck) \
  266. print $$0; \
  267. close ($$0 ".trs"); \
  268. close ($$0 ".log"); \
  269. }'
  270. # A command that, given a newline-separated list of test names on the
  271. # standard input, create the global log from their .trs and .log files.
  272. am__create_global_log = $(AWK) ' \
  273. function fatal(msg) \
  274. { \
  275. print "fatal: making $@: " msg | "cat >&2"; \
  276. exit 1; \
  277. } \
  278. function rst_section(header) \
  279. { \
  280. print header; \
  281. len = length(header); \
  282. for (i = 1; i <= len; i = i + 1) \
  283. printf "="; \
  284. printf "\n\n"; \
  285. } \
  286. { \
  287. copy_in_global_log = 1; \
  288. global_test_result = "RUN"; \
  289. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  290. { \
  291. if (rc < 0) \
  292. fatal("failed to read from " $$0 ".trs"); \
  293. if (line ~ /$(am__global_test_result_rx)/) \
  294. { \
  295. sub("$(am__global_test_result_rx)", "", line); \
  296. sub("[ ]*$$", "", line); \
  297. global_test_result = line; \
  298. } \
  299. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  300. copy_in_global_log = 0; \
  301. }; \
  302. if (copy_in_global_log) \
  303. { \
  304. rst_section(global_test_result ": " $$0); \
  305. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  306. { \
  307. if (rc < 0) \
  308. fatal("failed to read from " $$0 ".log"); \
  309. print line; \
  310. }; \
  311. printf "\n"; \
  312. }; \
  313. close ($$0 ".trs"); \
  314. close ($$0 ".log"); \
  315. }'
  316. # Restructured Text title.
  317. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  318. # Solaris 10 'make', and several other traditional 'make' implementations,
  319. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  320. # by disabling -e (using the XSI extension "set +e") if it's set.
  321. am__sh_e_setup = case $$- in *e*) set +e;; esac
  322. # Default flags passed to test drivers.
  323. am__common_driver_flags = \
  324. --color-tests "$$am__color_tests" \
  325. --enable-hard-errors "$$am__enable_hard_errors" \
  326. --expect-failure "$$am__expect_failure"
  327. # To be inserted before the command running the test. Creates the
  328. # directory for the log if needed. Stores in $dir the directory
  329. # containing $f, in $tst the test, in $log the log. Executes the
  330. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  331. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  332. # will run the test scripts (or their associated LOG_COMPILER, if
  333. # thy have one).
  334. am__check_pre = \
  335. $(am__sh_e_setup); \
  336. $(am__vpath_adj_setup) $(am__vpath_adj) \
  337. $(am__tty_colors); \
  338. srcdir=$(srcdir); export srcdir; \
  339. case "$@" in \
  340. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  341. *) am__odir=.;; \
  342. esac; \
  343. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  344. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  345. if test -f "./$$f"; then dir=./; \
  346. elif test -f "$$f"; then dir=; \
  347. else dir="$(srcdir)/"; fi; \
  348. tst=$$dir$$f; log='$@'; \
  349. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  350. am__enable_hard_errors=no; \
  351. else \
  352. am__enable_hard_errors=yes; \
  353. fi; \
  354. case " $(XFAIL_TESTS) " in \
  355. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  356. am__expect_failure=yes;; \
  357. *) \
  358. am__expect_failure=no;; \
  359. esac; \
  360. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  361. # A shell command to get the names of the tests scripts with any registered
  362. # extension removed (i.e., equivalently, the names of the test logs, with
  363. # the '.log' extension removed). The result is saved in the shell variable
  364. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  365. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  366. # since that might cause problem with VPATH rewrites for suffix-less tests.
  367. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  368. am__set_TESTS_bases = \
  369. bases='$(TEST_LOGS)'; \
  370. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  371. bases=`echo $$bases`
  372. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  373. RECHECK_LOGS = $(TEST_LOGS)
  374. AM_RECURSIVE_TARGETS = check recheck
  375. TEST_SUITE_LOG = test-suite.log
  376. TEST_EXTENSIONS = .test
  377. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  378. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  379. am__set_b = \
  380. case '$@' in \
  381. */*) \
  382. case '$*' in \
  383. */*) b='$*';; \
  384. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  385. esac;; \
  386. *) \
  387. b='$*';; \
  388. esac
  389. am__test_logs1 = $(TESTS:=.log)
  390. am__test_logs2 = $(am__test_logs1:.log=.log)
  391. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  392. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  393. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  394. $(TEST_LOG_FLAGS)
  395. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  396. $(top_srcdir)/build-aux/depcomp \
  397. $(top_srcdir)/build-aux/test-driver
  398. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  399. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  400. AMTAR = $${TAR-tar}
  401. AM_DEFAULT_VERBOSITY = 1
  402. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  403. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  404. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  405. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  406. AWK = gawk
  407. BROWSER =
  408. BUILD_CFLAGS =
  409. BUILD_CPPFLAGS =
  410. BUILD_LDFLAGS =
  411. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  412. CCDEPMODE = depmode=gcc3
  413. CC_FOR_BUILD = gcc
  414. CFLAGS = -g -O2
  415. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  416. CPPFLAGS =
  417. CRYPTO_LIBS =
  418. CRYPT_CFLAGS =
  419. CRYPT_LIBS = -lcrypt
  420. CYGPATH_W = echo
  421. DEFS = -DHAVE_CONFIG_H
  422. DEPDIR = .deps
  423. DLLTOOL = false
  424. DSYMUTIL =
  425. DUMPBIN = :
  426. ECHO_C =
  427. ECHO_N = -n
  428. ECHO_T =
  429. ECONF_CFLAGS =
  430. ECONF_LIBS =
  431. EGREP = /bin/grep -E
  432. EXEEXT =
  433. EXE_CFLAGS = -fpie
  434. EXE_LDFLAGS = -pie -Wl,-z,now
  435. FGREP = /bin/grep -F
  436. FO2PDF =
  437. GETTEXT_MACRO_VERSION = 0.18
  438. GMSGFMT = /usr/bin/msgfmt
  439. GMSGFMT_015 = /usr/bin/msgfmt
  440. GREP = /bin/grep
  441. INSTALL = /usr/bin/install -c
  442. INSTALL_DATA = ${INSTALL} -m 644
  443. INSTALL_PROGRAM = ${INSTALL}
  444. INSTALL_SCRIPT = ${INSTALL}
  445. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  446. INTLLIBS =
  447. INTL_MACOSX_LIBS =
  448. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  449. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  450. LEX = flex
  451. LEXLIB = -lfl
  452. LEX_OUTPUT_ROOT = lex.yy
  453. LIBAUDIT =
  454. LIBCRYPT = -lcrypt
  455. LIBDB =
  456. LIBDL = -ldl
  457. LIBICONV = -liconv
  458. LIBINTL =
  459. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  460. LIBPRELUDE_CFLAGS =
  461. LIBPRELUDE_CONFIG = no
  462. LIBPRELUDE_CONFIG_PREFIX =
  463. LIBPRELUDE_LDFLAGS =
  464. LIBPRELUDE_LIBS =
  465. LIBPRELUDE_PREFIX =
  466. LIBPRELUDE_PTHREAD_CFLAGS =
  467. LIBS =
  468. LIBSELINUX =
  469. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  470. LIPO =
  471. LN_S = ln -s
  472. LTLIBICONV = -liconv
  473. LTLIBINTL =
  474. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  475. LT_SYS_LIBRARY_PATH =
  476. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  477. MANIFEST_TOOL = :
  478. MKDIR_P = /bin/mkdir -p
  479. MSGFMT = /usr/bin/msgfmt
  480. MSGFMT_015 = /usr/bin/msgfmt
  481. MSGMERGE = /usr/bin/msgmerge
  482. NIS_CFLAGS =
  483. NIS_LIBS =
  484. NM = nm
  485. NMEDIT =
  486. NSL_CFLAGS =
  487. NSL_LIBS = -lnsl
  488. OBJDUMP = objdump
  489. OBJEXT = o
  490. OTOOL =
  491. OTOOL64 =
  492. PACKAGE = Linux-PAM
  493. PACKAGE_BUGREPORT =
  494. PACKAGE_NAME = Linux-PAM
  495. PACKAGE_STRING = Linux-PAM 1.5.2
  496. PACKAGE_TARNAME = Linux-PAM
  497. PACKAGE_URL =
  498. PACKAGE_VERSION = 1.5.2
  499. PATH_SEPARATOR = :
  500. PKG_CONFIG = /usr/bin/pkg-config
  501. PKG_CONFIG_LIBDIR =
  502. PKG_CONFIG_PATH =
  503. POSUB = po
  504. RANLIB = ranlib
  505. SCONFIGDIR = ${prefix}/etc/security
  506. SECUREDIR = ${exec_prefix}/lib/security
  507. SED = /bin/sed
  508. SET_MAKE =
  509. SHELL = /bin/bash
  510. STRINGPARAM_HMAC =
  511. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  512. STRIP = strip
  513. TIRPC_CFLAGS =
  514. TIRPC_LIBS =
  515. USE_NLS = yes
  516. VERSION = 1.5.2
  517. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  518. XGETTEXT = /usr/bin/xgettext
  519. XGETTEXT_015 = /usr/bin/xgettext
  520. XGETTEXT_EXTRA_OPTIONS =
  521. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  522. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  523. XML_CATALOG_FILE = /etc/xml/catalog
  524. XSLTPROC = /usr/bin/xsltproc
  525. YACC = bison -y
  526. YFLAGS =
  527. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_userdb
  528. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_userdb
  529. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  530. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  531. ac_ct_AR =
  532. ac_ct_CC =
  533. ac_ct_DUMPBIN = link -dump
  534. am__include = include
  535. am__leading_dot = .
  536. am__quote =
  537. am__tar = $${TAR-tar} chof - "$$tardir"
  538. am__untar = $${TAR-tar} xf -
  539. bindir = ${exec_prefix}/bin
  540. build = x86_64-pc-linux-gnu
  541. build_alias =
  542. build_cpu = x86_64
  543. build_os = linux-gnu
  544. build_vendor = pc
  545. builddir = .
  546. datadir = ${datarootdir}
  547. datarootdir = ${prefix}/share
  548. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  549. dvidir = ${docdir}
  550. exec_prefix = ${prefix}
  551. host = arm-unknown-linux-gnueabihf
  552. host_alias = arm-linux-gnueabihf
  553. host_cpu = arm
  554. host_os = linux-gnueabihf
  555. host_vendor = unknown
  556. htmldir = ${docdir}
  557. includedir = ${prefix}/include
  558. infodir = ${datarootdir}/info
  559. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  560. libdir = ${exec_prefix}/lib
  561. libexecdir = ${exec_prefix}/libexec
  562. localedir = ${datarootdir}/locale
  563. localstatedir = ${prefix}/var
  564. mandir = ${datarootdir}/man
  565. mkdir_p = $(MKDIR_P)
  566. oldincludedir = /usr/include
  567. pam_xauth_path = /usr/bin/xauth
  568. pdfdir = ${docdir}
  569. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  570. program_transform_name = s,x,x,
  571. psdir = ${docdir}
  572. sbindir = ${exec_prefix}/sbin
  573. sharedstatedir = ${prefix}/com
  574. srcdir = .
  575. sysconfdir = ${prefix}/etc
  576. systemdunitdir =
  577. target_alias =
  578. top_build_prefix = ../../
  579. top_builddir = ../..
  580. top_srcdir = ../..
  581. CLEANFILES = *~
  582. MAINTAINERCLEANFILES = $(MANS) README
  583. EXTRA_DIST = $(XMLS) create.pl
  584. #dist_man_MANS = pam_userdb.8
  585. XMLS = README.xml pam_userdb.8.xml
  586. dist_check_SCRIPTS = tst-pam_userdb
  587. TESTS = $(dist_check_SCRIPTS)
  588. securelibdir = $(SECUREDIR)
  589. secureconfdir = $(SCONFIGDIR)
  590. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  591. $(WARN_CFLAGS)
  592. AM_LDFLAGS = -no-undefined -avoid-version -module -lcrypt \
  593. $(am__append_1)
  594. securelib_LTLIBRARIES = pam_userdb.la
  595. pam_userdb_la_LIBADD = $(top_builddir)/libpam/libpam.la
  596. noinst_HEADERS = pam_userdb.h
  597. #dist_noinst_DATA = README
  598. all: all-am
  599. .SUFFIXES:
  600. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  601. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  602. @for dep in $?; do \
  603. case '$(am__configure_deps)' in \
  604. *$$dep*) \
  605. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  606. && { if test -f $@; then exit 0; else break; fi; }; \
  607. exit 1;; \
  608. esac; \
  609. done; \
  610. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_userdb/Makefile'; \
  611. $(am__cd) $(top_srcdir) && \
  612. $(AUTOMAKE) --gnu modules/pam_userdb/Makefile
  613. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  614. @case '$?' in \
  615. *config.status*) \
  616. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  617. *) \
  618. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  619. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  620. esac;
  621. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  622. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  623. $(top_srcdir)/configure: $(am__configure_deps)
  624. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  625. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  626. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  627. $(am__aclocal_m4_deps):
  628. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  629. @$(NORMAL_INSTALL)
  630. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  631. list2=; for p in $$list; do \
  632. if test -f $$p; then \
  633. list2="$$list2 $$p"; \
  634. else :; fi; \
  635. done; \
  636. test -z "$$list2" || { \
  637. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  638. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  639. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  640. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  641. }
  642. uninstall-securelibLTLIBRARIES:
  643. @$(NORMAL_UNINSTALL)
  644. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  645. for p in $$list; do \
  646. $(am__strip_dir) \
  647. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  648. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  649. done
  650. clean-securelibLTLIBRARIES:
  651. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  652. @list='$(securelib_LTLIBRARIES)'; \
  653. locs=`for p in $$list; do echo $$p; done | \
  654. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  655. sort -u`; \
  656. test -z "$$locs" || { \
  657. echo rm -f $${locs}; \
  658. rm -f $${locs}; \
  659. }
  660. pam_userdb.la: $(pam_userdb_la_OBJECTS) $(pam_userdb_la_DEPENDENCIES) $(EXTRA_pam_userdb_la_DEPENDENCIES)
  661. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_userdb_la_OBJECTS) $(pam_userdb_la_LIBADD) $(LIBS)
  662. mostlyclean-compile:
  663. -rm -f *.$(OBJEXT)
  664. distclean-compile:
  665. -rm -f *.tab.c
  666. include ./$(DEPDIR)/pam_userdb.Plo # am--include-marker
  667. $(am__depfiles_remade):
  668. @$(MKDIR_P) $(@D)
  669. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  670. am--depfiles: $(am__depfiles_remade)
  671. .c.o:
  672. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  673. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  674. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  675. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  676. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  677. .c.obj:
  678. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  679. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  680. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  681. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  682. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  683. .c.lo:
  684. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  685. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  686. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  687. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  688. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  689. mostlyclean-libtool:
  690. -rm -f *.lo
  691. clean-libtool:
  692. -rm -rf .libs _libs
  693. install-man8: $(dist_man_MANS)
  694. @$(NORMAL_INSTALL)
  695. @list1=''; \
  696. list2='$(dist_man_MANS)'; \
  697. test -n "$(man8dir)" \
  698. && test -n "`echo $$list1$$list2`" \
  699. || exit 0; \
  700. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  701. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  702. { for i in $$list1; do echo "$$i"; done; \
  703. if test -n "$$list2"; then \
  704. for i in $$list2; do echo "$$i"; done \
  705. | sed -n '/\.8[a-z]*$$/p'; \
  706. fi; \
  707. } | while read p; do \
  708. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  709. echo "$$d$$p"; echo "$$p"; \
  710. done | \
  711. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  712. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  713. sed 'N;N;s,\n, ,g' | { \
  714. list=; while read file base inst; do \
  715. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  716. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  717. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  718. fi; \
  719. done; \
  720. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  721. while read files; do \
  722. test -z "$$files" || { \
  723. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  724. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  725. done; }
  726. uninstall-man8:
  727. @$(NORMAL_UNINSTALL)
  728. @list=''; test -n "$(man8dir)" || exit 0; \
  729. files=`{ for i in $$list; do echo "$$i"; done; \
  730. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  731. sed -n '/\.8[a-z]*$$/p'; \
  732. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  733. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  734. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  735. ID: $(am__tagged_files)
  736. $(am__define_uniq_tagged_files); mkid -fID $$unique
  737. tags: tags-am
  738. TAGS: tags
  739. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  740. set x; \
  741. here=`pwd`; \
  742. $(am__define_uniq_tagged_files); \
  743. shift; \
  744. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  745. test -n "$$unique" || unique=$$empty_fix; \
  746. if test $$# -gt 0; then \
  747. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  748. "$$@" $$unique; \
  749. else \
  750. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  751. $$unique; \
  752. fi; \
  753. fi
  754. ctags: ctags-am
  755. CTAGS: ctags
  756. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  757. $(am__define_uniq_tagged_files); \
  758. test -z "$(CTAGS_ARGS)$$unique" \
  759. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  760. $$unique
  761. GTAGS:
  762. here=`$(am__cd) $(top_builddir) && pwd` \
  763. && $(am__cd) $(top_srcdir) \
  764. && gtags -i $(GTAGS_ARGS) "$$here"
  765. cscopelist: cscopelist-am
  766. cscopelist-am: $(am__tagged_files)
  767. list='$(am__tagged_files)'; \
  768. case "$(srcdir)" in \
  769. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  770. *) sdir=$(subdir)/$(srcdir) ;; \
  771. esac; \
  772. for i in $$list; do \
  773. if test -f "$$i"; then \
  774. echo "$(subdir)/$$i"; \
  775. else \
  776. echo "$$sdir/$$i"; \
  777. fi; \
  778. done >> $(top_builddir)/cscope.files
  779. distclean-tags:
  780. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  781. # Recover from deleted '.trs' file; this should ensure that
  782. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  783. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  784. # to avoid problems with "make -n".
  785. .log.trs:
  786. rm -f $< $@
  787. $(MAKE) $(AM_MAKEFLAGS) $<
  788. # Leading 'am--fnord' is there to ensure the list of targets does not
  789. # expand to empty, as could happen e.g. with make check TESTS=''.
  790. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  791. am--force-recheck:
  792. @:
  793. $(TEST_SUITE_LOG): $(TEST_LOGS)
  794. @$(am__set_TESTS_bases); \
  795. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  796. redo_bases=`for i in $$bases; do \
  797. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  798. done`; \
  799. if test -n "$$redo_bases"; then \
  800. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  801. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  802. if $(am__make_dryrun); then :; else \
  803. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  804. fi; \
  805. fi; \
  806. if test -n "$$am__remaking_logs"; then \
  807. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  808. "recursion detected" >&2; \
  809. elif test -n "$$redo_logs"; then \
  810. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  811. fi; \
  812. if $(am__make_dryrun); then :; else \
  813. st=0; \
  814. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  815. for i in $$redo_bases; do \
  816. test -f $$i.trs && test -r $$i.trs \
  817. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  818. test -f $$i.log && test -r $$i.log \
  819. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  820. done; \
  821. test $$st -eq 0 || exit 1; \
  822. fi
  823. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  824. ws='[ ]'; \
  825. results=`for b in $$bases; do echo $$b.trs; done`; \
  826. test -n "$$results" || results=/dev/null; \
  827. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  828. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  829. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  830. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  831. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  832. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  833. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  834. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  835. success=true; \
  836. else \
  837. success=false; \
  838. fi; \
  839. br='==================='; br=$$br$$br$$br$$br; \
  840. result_count () \
  841. { \
  842. if test x"$$1" = x"--maybe-color"; then \
  843. maybe_colorize=yes; \
  844. elif test x"$$1" = x"--no-color"; then \
  845. maybe_colorize=no; \
  846. else \
  847. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  848. fi; \
  849. shift; \
  850. desc=$$1 count=$$2; \
  851. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  852. color_start=$$3 color_end=$$std; \
  853. else \
  854. color_start= color_end=; \
  855. fi; \
  856. echo "$${color_start}# $$desc $$count$${color_end}"; \
  857. }; \
  858. create_testsuite_report () \
  859. { \
  860. result_count $$1 "TOTAL:" $$all "$$brg"; \
  861. result_count $$1 "PASS: " $$pass "$$grn"; \
  862. result_count $$1 "SKIP: " $$skip "$$blu"; \
  863. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  864. result_count $$1 "FAIL: " $$fail "$$red"; \
  865. result_count $$1 "XPASS:" $$xpass "$$red"; \
  866. result_count $$1 "ERROR:" $$error "$$mgn"; \
  867. }; \
  868. { \
  869. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  870. $(am__rst_title); \
  871. create_testsuite_report --no-color; \
  872. echo; \
  873. echo ".. contents:: :depth: 2"; \
  874. echo; \
  875. for b in $$bases; do echo $$b; done \
  876. | $(am__create_global_log); \
  877. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  878. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  879. if $$success; then \
  880. col="$$grn"; \
  881. else \
  882. col="$$red"; \
  883. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  884. fi; \
  885. echo "$${col}$$br$${std}"; \
  886. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  887. echo "$${col}$$br$${std}"; \
  888. create_testsuite_report --maybe-color; \
  889. echo "$$col$$br$$std"; \
  890. if $$success; then :; else \
  891. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  892. if test -n "$(PACKAGE_BUGREPORT)"; then \
  893. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  894. fi; \
  895. echo "$$col$$br$$std"; \
  896. fi; \
  897. $$success || exit 1
  898. check-TESTS: $(dist_check_SCRIPTS)
  899. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  900. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  901. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  902. @set +e; $(am__set_TESTS_bases); \
  903. log_list=`for i in $$bases; do echo $$i.log; done`; \
  904. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  905. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  906. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  907. exit $$?;
  908. recheck: all $(dist_check_SCRIPTS)
  909. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  910. @set +e; $(am__set_TESTS_bases); \
  911. bases=`for i in $$bases; do echo $$i; done \
  912. | $(am__list_recheck_tests)` || exit 1; \
  913. log_list=`for i in $$bases; do echo $$i.log; done`; \
  914. log_list=`echo $$log_list`; \
  915. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  916. am__force_recheck=am--force-recheck \
  917. TEST_LOGS="$$log_list"; \
  918. exit $$?
  919. tst-pam_userdb.log: tst-pam_userdb
  920. @p='tst-pam_userdb'; \
  921. b='tst-pam_userdb'; \
  922. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  923. --log-file $$b.log --trs-file $$b.trs \
  924. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  925. "$$tst" $(AM_TESTS_FD_REDIRECT)
  926. .test.log:
  927. @p='$<'; \
  928. $(am__set_b); \
  929. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  930. --log-file $$b.log --trs-file $$b.trs \
  931. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  932. "$$tst" $(AM_TESTS_FD_REDIRECT)
  933. #.test$(EXEEXT).log:
  934. # @p='$<'; \
  935. # $(am__set_b); \
  936. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  937. # --log-file $$b.log --trs-file $$b.trs \
  938. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  939. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  940. distdir: $(BUILT_SOURCES)
  941. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  942. distdir-am: $(DISTFILES)
  943. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  944. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  945. list='$(DISTFILES)'; \
  946. dist_files=`for file in $$list; do echo $$file; done | \
  947. sed -e "s|^$$srcdirstrip/||;t" \
  948. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  949. case $$dist_files in \
  950. */*) $(MKDIR_P) `echo "$$dist_files" | \
  951. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  952. sort -u` ;; \
  953. esac; \
  954. for file in $$dist_files; do \
  955. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  956. if test -d $$d/$$file; then \
  957. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  958. if test -d "$(distdir)/$$file"; then \
  959. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  960. fi; \
  961. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  962. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  963. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  964. fi; \
  965. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  966. else \
  967. test -f "$(distdir)/$$file" \
  968. || cp -p $$d/$$file "$(distdir)/$$file" \
  969. || exit 1; \
  970. fi; \
  971. done
  972. check-am: all-am
  973. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  974. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  975. check: check-am
  976. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA) $(HEADERS)
  977. installdirs:
  978. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  979. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  980. done
  981. install: install-am
  982. install-exec: install-exec-am
  983. install-data: install-data-am
  984. uninstall: uninstall-am
  985. install-am: all-am
  986. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  987. installcheck: installcheck-am
  988. install-strip:
  989. if test -z '$(STRIP)'; then \
  990. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  991. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  992. install; \
  993. else \
  994. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  995. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  996. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  997. fi
  998. mostlyclean-generic:
  999. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1000. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1001. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1002. clean-generic:
  1003. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1004. distclean-generic:
  1005. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1006. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1007. maintainer-clean-generic:
  1008. @echo "This command is intended for maintainers to use"
  1009. @echo "it deletes files that may require special tools to rebuild."
  1010. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1011. clean: clean-am
  1012. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1013. mostlyclean-am
  1014. distclean: distclean-am
  1015. -rm -f ./$(DEPDIR)/pam_userdb.Plo
  1016. -rm -f Makefile
  1017. distclean-am: clean-am distclean-compile distclean-generic \
  1018. distclean-tags
  1019. dvi: dvi-am
  1020. dvi-am:
  1021. html: html-am
  1022. html-am:
  1023. info: info-am
  1024. info-am:
  1025. install-data-am: install-man install-securelibLTLIBRARIES
  1026. install-dvi: install-dvi-am
  1027. install-dvi-am:
  1028. install-exec-am:
  1029. install-html: install-html-am
  1030. install-html-am:
  1031. install-info: install-info-am
  1032. install-info-am:
  1033. install-man: install-man8
  1034. install-pdf: install-pdf-am
  1035. install-pdf-am:
  1036. install-ps: install-ps-am
  1037. install-ps-am:
  1038. installcheck-am:
  1039. maintainer-clean: maintainer-clean-am
  1040. -rm -f ./$(DEPDIR)/pam_userdb.Plo
  1041. -rm -f Makefile
  1042. maintainer-clean-am: distclean-am maintainer-clean-generic
  1043. mostlyclean: mostlyclean-am
  1044. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1045. mostlyclean-libtool
  1046. pdf: pdf-am
  1047. pdf-am:
  1048. ps: ps-am
  1049. ps-am:
  1050. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1051. uninstall-man: uninstall-man8
  1052. .MAKE: check-am install-am install-strip
  1053. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1054. check-am clean clean-generic clean-libtool \
  1055. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1056. distclean distclean-compile distclean-generic \
  1057. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1058. html-am info info-am install install-am install-data \
  1059. install-data-am install-dvi install-dvi-am install-exec \
  1060. install-exec-am install-html install-html-am install-info \
  1061. install-info-am install-man install-man8 install-pdf \
  1062. install-pdf-am install-ps install-ps-am \
  1063. install-securelibLTLIBRARIES install-strip installcheck \
  1064. installcheck-am installdirs maintainer-clean \
  1065. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1066. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1067. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1068. uninstall-man8 uninstall-securelibLTLIBRARIES
  1069. .PRECIOUS: Makefile
  1070. #-include $(top_srcdir)/Make.xml.rules
  1071. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1072. # Otherwise a system limit (for SysV at least) may be exceeded.
  1073. .NOEXPORT: